Summary:     Email notification for the jabber server
Name:        jabber-ile
Version:     0.5
Release:     12.pp
License:     JOSL, GPL
Group:       Environment/Daemons
Source0:     http://www.jabberstudio.org/files/ile/ile-%{version}.tar.gz
Source1:     jabberd-ile.init
Source2:     ile.xml
Patch0:      ile-%{version}-config.patch
Patch1:      ile-%{version}-identity.patch
Patch2:      ile-%{version}-vcard.patch
Patch3:      ile-%{version}-forms.patch
URL:         http://ile.jabberstudio.org/
Buildroot:   /var/tmp/%{name}-root
Vendor:      Luis Peralta
Packager:    Peter Pramberger <peter.pramberger@member.fsf.org>
Requires:    perl
Provides:    %{name}.pp
Prereq:      /bin/bash /sbin/chkconfig /bin/chown /bin/chmod /bin/echo /bin/mkdir
BuildPrereq: /bin/mkdir /usr/bin/make /usr/bin/install perl
BuildArch:   noarch
ExclusiveOS: linux


%description
Jabber is a new, open-source IM platform designed to be
open, fast, and easy to use and extend. It works directly
over the Internet, has distributed servers, utilizes an
XML-based protocol, and has transparent compatibility with
other IM systems (ICQ, AIM, Yahoo, MSN, IRC, SMTP, etc).

This package contains the Email notification component.


%prep
%setup -q -n ile
%patch0 -p1
%patch1 -p1
%patch2 -p1
%patch3 -p1


%build


# Do not strip, only compress documentation
%define __os_install_post /usr/lib/rpm/brp-compress


%install
rm -rf $RPM_BUILD_ROOT
mkdir -p $RPM_BUILD_ROOT/etc/rc.d/init.d
mkdir -p $RPM_BUILD_ROOT/etc/jabber
mkdir -p $RPM_BUILD_ROOT/usr/jabber/bin
install -m 0755 ile.pl $RPM_BUILD_ROOT/usr/jabber/bin
ln -s ile.pl $RPM_BUILD_ROOT/usr/jabber/bin/jabberd-ile
install -m 0644 %{SOURCE2} $RPM_BUILD_ROOT/etc/jabber/ile.xml.dist
touch $RPM_BUILD_ROOT/etc/jabber/ile.xml; chmod 0640 $RPM_BUILD_ROOT/etc/jabber/ile.xml
install -m 0755 %{SOURCE1} $RPM_BUILD_ROOT/etc/rc.d/init.d/jabberd-ile


%pre
if [ ! -e /etc/jabber ]; then
  /bin/mkdir /etc/jabber
fi
/bin/chmod 0750 /etc/jabber
/bin/chown root:jabber /etc/jabber


%post
/bin/chown root:jabber /etc/jabber/ile.xml
/sbin/chkconfig --add jabberd-ile
/sbin/chkconfig jabberd-ile on
if [ -s /etc/jabber/ile.xml ]; then
  if [ -f /var/lock/subsys/jabberd-ile ]; then
    /etc/rc.d/init.d/jabberd-ile restart
  else
    /etc/rc.d/init.d/jabberd-ile start
  fi
else
  echo "Email notification component installed. Please consult the README for configuration details."
  echo "Don't forget to create a directory named <ile-hostname> in /var/spool/jabber!"
fi


%preun
if [ $1 = 0 ]; then
  /sbin/chkconfig jabberd-ile off
  /sbin/chkconfig --del jabberd-ile
  if [ -f /var/lock/subsys/jabberd-ile ]; then
    /etc/rc.d/init.d/jabberd-ile stop
  fi
fi


%postun
if [ $1 = 0 ]; then
  echo "Email notification component deinstalled. Please remove all references from your jabber config!"
fi


%clean
rm -rf ${RPM_BUILD_ROOT}


%files
%defattr(-,root,root)
%doc docs/*
/etc/rc.d/init.d/*
%config(noreplace) %attr(0640,root,jabber) /etc/jabber/*.xml
/etc/jabber/*.dist
/usr/jabber/bin/*


%changelog
* Thu Jul 20 2005 peter.pramberger@member.fsf.org
- new version 0.5
- updated for jabber 1.4.4

* Mon Jun 28 2004 peter.pramberger@member.fsf.org
- some spec file cleanups

* Fri Nov 21 2003 peter.pramberger@member.fsf.org
- compiled against JabberD 1.4.3

* Wed Nov 05 2003 peter.pramberger@member.fsf.org
- created

